Bug 918399 - Time in file listing with --list-only option is inconsistent whether dst is given or not
Summary: Time in file listing with --list-only option is inconsistent whether dst is g...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsync
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 904135
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 07:41 UTC by Michal Trunecka
Modified: 2015-11-02 12:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 904135
Environment:
Last Closed: 2015-11-02 12:34:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Samba Project 10336 0 None None None Never

Description Michal Trunecka 2013-03-06 07:41:34 UTC
Description of problem:
The modification time of listed files (with --list-only option) is in current local timezone except the case of using rsync:// protocol. Time in UTC is listed in such case.

## The current timezone is CET, +1 hour
# date +%Z
CET

# rsync -a --list-only /root/local/ localhost::remote
drwxr-xr-x        4096 2013/01/25 14:06:05 .
-rw-r--r--    20000000 2013/01/25 14:06:05 bigfile

# rsync -a --list-only /root/local/
drwxr-xr-x        4096 2013/01/25 15:06:05 .
-rw-r--r--    20000000 2013/01/25 15:06:05 bigfile

#3 rsync -a --list-only /root/local/ localhost:/root/remote
root@localhost's password: 
drwxr-xr-x        4096 2013/01/25 15:06:05 .
-rw-r--r--    20000000 2013/01/25 15:06:05 bigfile



Version-Release number of selected component (if applicable):
rsync-3.0.9-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. set up and run an rsync daemon with some module, e.g. "remote"
2. Run commands and see the different results:
rsync -a --list-only /root/local/
rsync -a --list-only /root/local/  localhost::remote
  
Actual results:
The listed times differ depending on wheather remote rsync destination is given or not

Expected results:
Either consistent output (both timestamps in the same timezone) or some note in help why this happens (in case there is some purpose for this behaviour)

--- Additional comment from Michal Trunecka on 2013-01-25 09:38:13 EST ---

And if the files are actualy transfered with the times listed using --out-format option, the time is printed also in the local timezone. So only the listing with remote rsync destination lists the files with UTC timestamps.

# rsync -a --out-format '%n%L %M'  /root/local/ localhost::remote
./ 2013/01/25-15:06:05
bigfile 2013/01/25-15:06:05

Comment 1 Pavel Šimerda (pavlix) 2013-10-17 08:31:54 UTC
It seems to me that when rsync is used as a destination, remote server's timezone might be used (even with --list-info). Even when connecting to localhost, your local and remote timezones may differ.

Comment 3 Pavel Šimerda (pavlix) 2013-12-19 13:10:57 UTC
Reported upstream, linked the upstream bug report.

Comment 9 Luboš Uhliarik 2015-11-02 12:34:58 UTC
Since Devel Conditional NAK is set to Upstream, and upstream won't fix this issue (for more info, please see report in upstream bz - https://bugzilla.samba.org/show_bug.cgi?id=10336), i'm setting status of this bug as well as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.